Clara-Backend
  1. API Key
Clara-Backend
  • Clara-Backend
    • Get Started
    • Quickstart (Rest API)
    • Quickstart (MCP Server)
    • Auth
      • Register
      • Google OAuth
      • Login
      • Logout
      • Change Password
      • Send OTP
      • Activate
      • Enable 2FA
      • Disable 2FA
    • User
      • View
      • Update
    • API Key
      • View
        GET
      • Reset
        POST
    • Transaction
      • View All
      • View
    • Task
      • View All
      • View
    • Agent
      • Supported Attachments
      • Analysis
    • Stripe
      • Rate
      • Portal
      • Buy
    • Misc
      • Health
      • Version
  • Flask Backend Boilerplate
    • Get Started
    • Quickstart
    • Auth
      • Register
      • Google OAuth
      • Login
      • Logout
      • Change Password
      • Send OTP
      • Activate
      • Enable 2FA
      • Disable 2FA
    • User
      • View
      • Update
    • Transaction
      • View All
      • View
    • Stripe
      • Rate
      • Portal
      • Buy
    • Misc
      • Health
      • Version
  1. API Key

View

Prod Env
https://backend.crazi.co/api/v1
Prod Env
https://backend.crazi.co/api/v1
GET
https://backend.crazi.co/api/v1
/users/{user_id}/api_key
This endpoint lets a user view their API key on Clara.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Responses

🟢200Success
text/plain
🟠401Unauthorized
🟠403Forbidden
🟠404Resource Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request GET 'https://backend.crazi.co/api/v1/users/user_ac19b010fec5428a8ae131596731b7c8/api_key' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success
{
  "data": {
    "created_at": "Wed, 26 Nov 2025 23:51:28 GMT",
    "id": "api_key_d3be80e32b714ec691b1a8d96ba62635",
    "token": "clara_api_eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c2VyXzMxZTgyNzA3MGRjZjQ0MTk4ZWMxMWE5MTEyYTlhNTcyIiwicm9sZSI6ImFwaV9rZXkifQ.YE0GlvpooXQ9qENX_Hu4RN18RUKDbb1woPg5HbbxSeo",
    "updated_at": "Wed, 26 Nov 2025 23:51:28 GMT",
    "user_id": "user_31e827070dcf44198ec11a9112a9a572"
  },
  "message": "API key fetched successfully.",
  "status": "success"
}
Modified at 2025-11-27 01:51:52
Previous
API Key
Next
Reset
Built with